/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
CREATE PROCEDURE InsertServiceHostsFromXML (
    @sXML NTEXT
)
AS
begin transaction
    DECLARE @iDoc INT
    EXEC sp_xml_preparedocument @iDoc OUTPUT, @sXML
                       
    INSERT INTO dbo.ServiceHosts (ServiceHostID,HostName, ServiceImplementationClassName, HostEnvironment, HttpHostHeaderName,TcpHostHeaderName,ServiceType,IsWorkflowHost,ServiceBehaviorConfiguration)
    SELECT ServiceHostID, HostName, ServiceImplementationClassName, HostEnvironment, HttpHostHeaderName,TcpHostHeaderName,ServiceType,IsWorkflowHost,ServiceBehaviorConfiguration
    FROM OPENXML(@iDoc,'/ServiceHosts/dbo.ServiceHosts',2)
    WITH (ServiceHostID int 'ServiceHostID',
		  HostName varchar(200) 'HostName', 
          ServiceImplementationClassName varchar(200) 'ServiceImplementationClassName', 
          HostEnvironment int 'HostEnvironment', 
		  HttpHostHeaderName varchar(200) 'HttpHostHeaderName',
		  TcpHostHeaderName varchar(200) 'TcpHostHeaderName',
	      ServiceType int 'ServiceType',
		  IsWorkflowHost int 'IsWorkflowHost',
		  CurrentCSUserKey int 'CurrentCSUserKey',
		  VHostID int 'VHostID',
		  ServiceBehaviorConfiguration varchar(200) 'ServiceBehaviorConfiguration');
	commit;
    EXEC sp_xml_removedocument @iDoc;
RETURN
