<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true"
    EnableViewState="false" EnableEventValidation="false"
    CodeFile="PortfolioBySymbol.aspx.cs" Inherits="Trade.Web.PortfolioBySymbol" %>
<%@ Register TagPrefix="controls" TagName="ClosedOrders" Src="Controls/ClosedOrders.ascx"  %>
<%@ Import Namespace="System.Text" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
<% /* 
 Licensed to the Apache Software Foundation (ASF) under one or more
 contributor license agreements.  See the NOTICE file distributed with
 this work for additional information regarding copyright ownership.
 The ASF licenses this file to You under the Apache License, Version 2.0
 (the "License"); you may not use this file except in compliance with
 the License.  You may obtain a copy of the License at
 
       http://www.apache.org/licenses/LICENSE-2.0
 
  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
*/ %>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <controls:ClosedOrders id="ClosedOrdersControl" runat="server" ></controls:ClosedOrders>

    <div class="main-title">
        <h1>Portfolio Information</h1>
        <script type="text/javascript">
            var thisdate = new Date();
    		document.writeln(thisdate.toLocaleString());
    	</script>
	</div> 
                        
    <asp:ListView id="PortfolioBySymbolList" runat="server" onDataBound="PortfolioBySymbolList_DataBound">
        <LayoutTemplate>
            <table class="table-outer" cellspacing="0" align="center">
             <thead>
                <tr>
                    <td colspan="5">
                        Current Number of Unique Stocks Held:&nbsp
                        <b><asp:Label ID="numOfUniqueStocks" runat="server"></asp:Label></b>
                   </td>
                   <td colspan="5" style="text-align:right;">
                        <a href="Portfolio.aspx">Sort by Purchase Date</a>
                   </td>
                </tr>
                 <tr>
                    <th>Holding ID</th>
                    <th>Purchase<br />Date</th>
                    <th>Symbol</th>
                    <th>Quantity</th>
                    <th>Purchase<br />Price</th>
                    <th>Current<br />Price</th>
                    <th>Purchase<br />Basis</th>
                    <th>Market<br />Value</th>
                    <th>Gain(Loss)</th>
                    <th>Trade</th>
                 </tr>
             </thead>
             <tbody>
                <asp:PlaceHolder runat="server" ID="itemPlaceholder" />
             </tbody>
            </table>
       </LayoutTemplate>
       <ItemTemplate>
               <asp:ListView runat="server" ID="holdingList" DataSource='<%# Eval("holdings")%>'>
                   <LayoutTemplate>
                    <asp:PlaceHolder runat="server" ID="itemPlaceholder" />
                   </LayoutTemplate>
                   <ItemTemplate>
                   <tr>
                       <td>
                           <%# Eval("holdingID")%>
                       </td>
                       <td>
                           <%# Eval("purchaseDate") %>
                       </td>
                       <td>
                           <%# Eval("quoteID") %>
                       </td>
                       <td class="currency">
                           <%# Eval("quantity", "{0:0,0}") %>
                       </td>
                       <td class="currency">
                           <%# Eval("purchasePrice", "{0:C}")%>
                       </td>
                       <td class="currency">
                           <%# Eval("quotePrice", "{0:C}")%>
                       </td>
                       <td class="currency">
                           <%# Eval("basis", "{0:C}")%>
                       </td>
                       <td class="currency">
                           <%# Eval("marketValue","{0:C}")%>
                       </td>
                       <td class="currency">
                           <%# Eval("gainWithArrow") %>
                       </td>
                       <td>
                           <%# Eval("sellLink") %>
                       </td>
                   </tr>
                   </ItemTemplate>
               </asp:ListView>
               <tr class="total">
                   <td>&nbsp;</td>
                   <td>&nbsp;</td>
                   <td><%# Eval("quoteID") %></td>
                   <td class="currency"><%# Eval("quantity", "{0:0,0}") %></td>
                   <td class="currency">&nbsp;</td>
                   <td class="currency"><%# Eval("quotePrice", "{0:C}")%></td>
                   <td class="currency"><%# Eval("basis", "{0:C}")%></td>
                   <td class="currency"><%# Eval("marketValue","{0:C}")%></td>
                   <td class="currency"><%# Eval("gain")%></td>
                   <td>&nbsp;</td>
               </tr>
       </ItemTemplate>
    </asp:ListView>


    <div class="bottom">
        <asp:TextBox ID="symbols" runat="server" Text="s:0;s:1;s:2;s:3"></asp:TextBox>
        <asp:Button ID="GetQuoteButton" runat="server" PostBackUrl="~/Quotes.aspx" CssClass="button" Text="Get Quote" />
    </div>

</asp:Content>