<?php
/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


/**
 * @namespace http://apache.org/stonehenge/stocktrader/xsd
 */
class DBConfig
{
	/**
	 * @var string $DBName Name of the database server.
	 * (maps to the xs:string XML schema type )
	 */
	public $DBName;

	/**
	 * @var string $DBHostName host name of the database server
	 * (maps to the xs:anyURI XML schema type)
	 */
	public $DBHostName;

	/**
	 * @var int $DBPort port of the database server
	 * (maps to the xs:unsignedInt XML schema type )
	 */
	public $DBPort;
}

/**
 * @namespace http://apache.org/stonehenge/stocktrader/xsd
 */
class GetDBConfigs
{
}

/**
 * @namespace http://apache.org/stonehenge/stocktrader/xsd
 */
class DBConfigs
{
	/**
	 * @var array of object DBConfig $DBConfig
	 */
	public $DBConfig;
}
/** 
 * @namespace http://apache.org/stonehenge/stocktrader/xsd
 */
class ActiveDB
{
	/**
	 * @var string $DBName Name of the database server.
	 * (maps to the xs:string XML schema type )
	 */
	public $DBName;
}

/** 
 * @namespace http://apache.org/stonehenge/stocktrader/xsd
 */
class GetActiveDB
{
}

/**
 * @namespace http://apache.org/stonehenge/stocktrader/xsd
 */
class ServiceLocation
{
	/**
	 * @var string $ServiceName Name of the service
	 * (maps to the xs:string XML schema type )
	 */
	public $ServiceName;

	/**
	 * @var string $ServiceURL end point url of the service
	 * (maps to the xs:anyURI XML schema type)
	 */
	public $ServiceURL;
}

/** 
 * @namespace http://apache.org/stonehenge/stocktrader/xsd
 */
class GetServiceLocations
{
}

/** 
 * @namespace http://apache.org/stonehenge/stocktrader/xsd
 */
class ServiceLocations
{
	/**
	 * @var array of object ServiceLocation $ServiceLocation
	 */
	public $ServiceLocation;
}

/**
 * @namespace http://apache.org/stonehenge/stocktrader/xsd
 */
class ClientToBS
{
	/**
	 * @var string $Client Name of the client
	 * (maps to the xs:string XML schema type )
	 */
	public $Client;

	/**
	 * @var string $BS Name of the business service
	 * (maps to the xs:string XML schema type)
	 */
	public $BS;
}

/** 
 * @namespace http://apache.org/stonehenge/stocktrader/xsd
 */
class GetClientToBSConnections
{
}

/** 
 * @namespace http://apache.org/stonehenge/stocktrader/xsd
 */
class ClientToBSConnections
{
	/**
	 * @var array of object ClientToBS $ClientToBS
	 */
	public $ClientToBS;
}

/**
 * @namespace http://apache.org/stonehenge/stocktrader/xsd
 */
class BSToOPS
{
	/**
	 * @var string $BS Name of the business service
	 * (maps to the xs:string XML schema type )
	 */
	public $BS;

	/**
	 * @var string $OPS Name of the order processor service
	 * (maps to the xs:string XML schema type)
	 */
	public $OPS;
}

/** 
 * @namespace http://apache.org/stonehenge/stocktrader/xsd
 */
class GetBSToOPSConnections
{
}

/** 
 * @namespace http://apache.org/stonehenge/stocktrader/xsd
 */
class BSToOPSConnections
{
	/**
	 * @var array of object BSToOPS $BSToOPS
	 */
	public $BSToOPS;
}

/**
 * @namespace http://apache.org/stonehenge/stocktrader/xsd
 */
class ClientConfigRequest
{
	/**
	 * @var string $Client Name of the client
	 * (maps to the xs:string XML schema type )
	 */
	public $Client;
}

/**
 * @namespace http://apache.org/stonehenge/stocktrader/xsd
 */
class ClientConfigResponse
{
	/**
	 * @var string $BS end point url of business service
	 * (maps to the xs:anyURI XML schema type )
	 */
	public $BS;
}

/**
 * @namespace http://apache.org/stonehenge/stocktrader/xsd
 */
class BSConfigRequest
{
	/**
	 * @var string $BS Name of the business service
	 * (maps to the xs:unsignedInt XML schema type )
	 */
	public $BS;
}

/**
 * @namespace http://apache.org/stonehenge/stocktrader/xsd
 */
class BSConfigResponse
{
	/**
	 * @var string $DBName name of the database
	 * (maps to the xs:string XML schema type )
	 */
	public $DBName;

	/**
	 * @var string $DBHostName host name of database server
	 * (maps to the xs:anyURI XML schema type )
	 */
	public $DBHostName;

	/**
	 * @var int $DBPort port of the database server
	 * (maps to the xs:unsignedInt XML schema type )
	 */
	public $DBPort;

	/**
	 * @var string $OPS end point url of order processor service
	 * (maps to the xs:anyURI XML schema type )
	 */
	public $OPS;

	/**
	 * @var boolean $Sec denotes whether secure version of order processor
	 */
	public $Sec;

}

/**
 * @namespace http://apache.org/stonehenge/stocktrader/xsd
 */
class OPSConfigRequest
{
}

/**
 * @namespace http://apache.org/stonehenge/stocktrader/xsd
 */
class OPSConfigResponse
{
	/**
	 * @var string $DBName name of the database
	 * (maps to the xs:string XML schema type )
	 */
	public $DBName;

	/**
	 * @var string $DBhostName host name of database server
	 * (maps to the xs:anyURI XML schema type )
	 */
	public $DBHostName;

	/**
	 * @var int $DBport port of the database server
	 * (maps to the xs:unsignedInt XML schema type )
	 */
	public $DBPort;
}
?>
